Package org.eclipse.emf.cdo.view

## Class CDOLockStatePrefetcher

- java.lang.Object
- - org.eclipse.emf.cdo.view.CDOLockStatePrefetcher

-     public class CDOLockStatePrefetcher
      extends java.lang.Object

  Prefetches `lock states` for a given `view` when `revisions` are loaded.
  Since:
    4.12
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.function.Predicate<CDOID>` | `DEFAULT_OBJECT_FILTER` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOLockStatePrefetcher​(CDOView view)` |
    `CDOLockStatePrefetcher​(CDOView view, boolean asyncUpdate)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `protected CDOLockState` | `getLockState​(CDOObject object)` |
    `protected java.lang.Object` | `getLockTarget​(CDOObject object)` |
    `java.util.function.Predicate<CDOID>` | `getObjectFilter()` |
    `InternalCDOView` | `getView()` |
    `boolean` | `isAsyncUpdate()` |
    `boolean` | `isUpdateOtherViews()` |
    `void` | `setObjectFilter​(java.util.function.Predicate<CDOID> objectFilter)` |
    `void` | `setUpdateOtherViews​(boolean updateOtherViews)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_OBJECT_FILTER

          public static final java.util.function.Predicate<CDOID> DEFAULT_OBJECT_FILTER

  - ### Constructor Detail

    - #### CDOLockStatePrefetcher

          public CDOLockStatePrefetcher​(CDOView view,
                                        boolean asyncUpdate)

    - #### CDOLockStatePrefetcher

          public CDOLockStatePrefetcher​(CDOView view)

  - ### Method Detail

    - #### isUpdateOtherViews

          public final boolean isUpdateOtherViews()

    - #### setUpdateOtherViews

          public final void setUpdateOtherViews​(boolean updateOtherViews)

    - #### getObjectFilter

          public final java.util.function.Predicate<CDOID> getObjectFilter()

    - #### setObjectFilter

          public final void setObjectFilter​(java.util.function.Predicate<CDOID> objectFilter)

    - #### getView

          public final InternalCDOView getView()

    - #### isAsyncUpdate

          public final boolean isAsyncUpdate()

    - #### dispose

          public void dispose()

    - #### getLockTarget

          protected final java.lang.Object getLockTarget​(CDOObject object)

    - #### getLockState

          protected final CDOLockState getLockState​(CDOObject object)